Bug 205049 - Spec file alterations
Spec file alterations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution-sharp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-02 19:46 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-sharp-0.11.1-12.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 22:47:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution-sharp spec file patch (1.27 KB, patch)
2006-09-02 19:46 EDT, Paul F. Johnson
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2006-09-02 19:46:48 EDT
Description of problem:
Attached patch corrects the spec file and brings it into line with the packaging
guidelines

It adds a devel subpackage and the %{?dist} tag onto the release
Comment 1 Paul F. Johnson 2006-09-02 19:46:48 EDT
Created attachment 135439 [details]
evolution-sharp spec file patch
Comment 2 Matthew Barnes 2006-09-22 17:45:28 EDT
The patch has some valid cleanups which I've applied, but I don't see the point
of creating a new devel package just for a single pkg-config metadata file.
Comment 3 Paul F. Johnson 2006-09-22 19:31:52 EDT
The pkg-config thing has been argued for quite a while now on the packaging
lists and the current packaging guidelines is that if it has a .pc file, it
makes blow all difference if it's one line or not, it needs a -devel subpackage.

http://fedoraproject.org/wiki/PackagingDrafts/pkgconfig?highlight=%28pkgconfig%29

for the proposal which has been recently ratified.

I know it sounds daft, but for all of the mono packages in FE I've contributed
(which is just about all of the mono packages in FE!), they've never been
approved if there is a .pc file without a -devel subpackage.
Comment 4 Matthew Barnes 2006-10-30 22:47:23 EST
Fixed in evolution-sharp-0.11.1-12.fc7

Note You need to log in before you can comment on or make changes to this bug.